Subject: Re: [alto] YANG Model for ALTO Protocol‏

From: wangxin <[email-masked]>
Date: Sun, 12 Oct 2014 05:43:49 +0000

Here I have several questions: 1.       I think there are some dependencies between constrains and capabilities, as RFC7285 says “This parameter MUST NOT be specified if this resource's "capabilities" field (Section 11.3.2.4) indicate that constraint support is not available.” So, how to imply this dependency in YANG model? In line 869, it seems that there is not a check whether resource's "capabilities" field is available.
2.       In line 395, it seems that there is always version tag in meta field, but I think IRD response does not need version tag in its header.
3.       In line 737, does there need capabilities field for the output of endpoint-property-service and filtered-cost-map-service(line 750)? I think capabilities is for IRD response. I am a beginner of alto and YANG, so if there is any basic misunderstanding, please forgive me.
Thanks!Xin

---

From: Xiao SHI <[email-masked]>
Date: Sun, 12 Oct 2014 04:53:02 -0400

Thanks for the feedback! Please see inline.

On Sun, Oct 12, 2014 at 1:43 AM, wangxin <[email-masked]> wrote:

> Here I have several questions:
>
>
>
> 1.       I think there are some dependencies between constrains and
> capabilities, as RFC7285 says “This parameter MUST NOT be specified if this
> resource's "capabilities" field (Section 11.3.2.4) indicate that constraint
> support is not available.” So, how to imply this dependency in YANG model?
> In line 869, it seems that there is not a check whether resource's
> "capabilities" field is available.
>
 [sx] Good catch! I added a line to express this constraint. On the other
hand, I am not sure the burden of this constraint should fall on the server
side, since this is in rpc-input.

>
> 2.       In line 395, it seems that there is always version tag in meta
> field, but I think IRD response does not need version tag in its header.
>
[sx] You're totally right. I fixed it.

>
> 3.       In line 737, does there need capabilities field for the output
> of endpoint-property-service and filtered-cost-map-service(line 750)? I
> think capabilities is for IRD response.
>
[sx] See 11.4.1.4. and 11.3.2.4. They are not in the ALTO examples as they
are optional fields I believe.

-Xiao

>
>
> I am a beginner of alto and YANG, so if there is any basic
> misunderstanding, please forgive me.
>
>
> Thanks!
>
> Xin
>
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>
>